Share via


Ip Groups - Update Groups

Updates tags of an IpGroups resource.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ipGroups/{ipGroupsName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
ipGroupsName
path True

string

The name of the ipGroups.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
tags

object

Resource tags.

Responses

Name Type Description
200 OK

IpGroup

Azure operation completed successfully.

Other Status Codes

Error

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update_IpGroups

Sample request

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/ipGroups/ipGroups1?api-version=2025-05-01

{
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}

Sample response

{
  "name": "ipGroups1",
  "type": "Microsoft.Network/ipGroups",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/resourceGroups/myResourceGroup/ipGroups/ipGroups1",
  "location": "westcentralus",
  "properties": {
    "firewallPolicies": [],
    "firewalls": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/azureFirewalls/azurefirewall"
      }
    ],
    "ipAddresses": [
      "13.64.39.16/32",
      "40.74.146.80/31",
      "40.74.147.32/28"
    ],
    "provisioningState": "Succeeded"
  },
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}

Definitions

Name Description
Error

Common error representation.

ErrorDetails

Common error details representation.

IpGroup

The IpGroups resource information.

ProvisioningState

Provisioning states of a resource.

SubResource

Reference to another subresource.

TagsObject

Tags object for patch operations.

Error

Common error representation.

Name Type Description
code

string

Error code.

details

ErrorDetails[]

Error details.

innerError

string

Inner error message.

message

string

Error message.

target

string

Error target.

ErrorDetails

Common error details representation.

Name Type Description
code

string

Error code.

message

string

Error message.

target

string

Error target.

IpGroup

The IpGroups resource information.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.firewallPolicies

SubResource[]

List of references to Firewall Policies resources that this IpGroups is associated with.

properties.firewalls

SubResource[]

List of references to Firewall resources that this IpGroups is associated with.

properties.ipAddresses

string[]

IpAddresses/IpAddressPrefixes in the IpGroups resource.

properties.provisioningState

ProvisioningState

The provisioning state of the IpGroups resource.

tags

object

Resource tags.

type

string

Resource type.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.

TagsObject

Tags object for patch operations.

Name Type Description
tags

object

Resource tags.